import { get, post, download } from '../http'

const rfid = {
  getCardTypeList() {
    return get('rfid/card/type')
  },
  getRfidUserList(email) {
    return get('rfid/user', {email})
  },
  getRfidPages(params) {
    return post('rfid/pages', params)
  },
  addRfidCard(params) {
    return post('rfid/add', params)
  },
  updateRfidCard(params) {
    return post('rfid/update', params)
  },
  viewRfidCard(params) {
    return get('rfid/detail', params)
  },
  deleteRfidCard(params) {
    return get('rfid/logical/delete', params)
  }
}

export default rfid